package com.fuyuanshen.modules.mqtt.publish;

import com.fuyuanshen.annotation.rest.AnonymousGetMapping;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/device")
@Slf4j
public class DeviceDataController {

    @Autowired
    private MqttClientTest mqttClientTest;
    
//    @PostMapping("/{deviceId}/command")
    @AnonymousGetMapping(value = "/test/command")
    public ResponseEntity<String> sendCommand() {

        mqttClientTest.sendMsg();
        return ResponseEntity.ok("success");
    }
}